#!/bin/bash

# Activate the Ansible virtual environment
source /opt/ansible-venv/bin/activate

# Load configuration from Home Assistant
GITEA_URL=$(bashio::config 'gitea_url')
GITEA_TOKEN=$(bashio::config 'gitea_token')
REPOSITORY=$(bashio::config 'repository')
ACT_OPTIONS=$(bashio::config 'act_runner_options')

# Register Act runner with Gitea (if needed)
curl -X POST "$GITEA_URL/api/v1/repos/$REPOSITORY/actions/runners" \
     -H "Authorization: token $GITEA_TOKEN" \
     -d '{ "name": "Act Runner", "labels": ["self-hosted"] }'

# Run Act with specified options
act $ACT_OPTIONS
